<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XTimeScheduleTimePeriod StructType
 * @subpackage Structs
 */
class XTimeScheduleTimePeriod extends AbstractStructBase
{
    /**
     * The timePeriodName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var XFkType
     */
    public $timePeriodName;
    /**
     * Constructor method for XTimeScheduleTimePeriod
     * @uses XTimeScheduleTimePeriod::setTimePeriodName()
     * @param XFkType $timePeriodName
     */
    public function __construct(XFkType $timePeriodName = null)
    {
        $this
            ->setTimePeriodName($timePeriodName);
    }
    /**
     * Get timePeriodName value
     * @return XFkType
     */
    public function getTimePeriodName()
    {
        return $this->timePeriodName;
    }
    /**
     * Set timePeriodName value
     * @param XFkType $timePeriodName
     * @return XTimeScheduleTimePeriod
     */
    public function setTimePeriodName(XFkType $timePeriodName = null)
    {
        $this->timePeriodName = $timePeriodName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return XTimeScheduleTimePeriod
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
